Improve GCTAPsf2D I/O

08/03/2014 10:16 AM - Lu Chia-Chun

Status: Closed Start date: 08/03/2014

Priority: Normal Due date:  

Assigned To: Lu Chia-Chun % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: 00-09-00   

Description

Implement

table(void)

table(GCTAResponsetable)

read(GFits)

write(GHdu)

save(file)

modify load(filename)

It should use read(Gfits) for loading in parallel with other similar classes

History

#1 - 08/03/2014 12:38 PM - Lu Chia-Chun

- Description updated

- Status changed from In Progress to Pull request

- % Done changed from 20 to 100

It's done.

LINK:

https://github.com/chiachun/gammalib/tree/1309-improveGCTAPsf2D-IO

Other minor modifications

inst/cta/pyext/GCTAResponseCube.i

add irf(const GEvent& event, const GSource& source, const GObservation& obs) const method

inst/cta/src/GCTABackground3D.cpp

typo correction

#2 - 08/05/2014 09:12 AM - Lu Chia-Chun

Add similar changes for GCTAPsfKing

https://github.com/chiachun/gammalib/tree/1309-improveGCTAPsf2D-IO

#3 - 08/05/2014 10:30 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- Target version set to 00-09-00

- Remaining (hours) changed from 1.0 to 0.0

05/03/2024 1/2

https://github.com/chiachun/gammalib/tree/1309-improveGCTAPsf2D-IO
https://github.com/chiachun/gammalib/tree/1309-improveGCTAPsf2D-IO


Merged into devel.
